org.richfaces.component.behavior

## Interface ClientValidatorBehavior

- All Superinterfaces:
    javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior
  All Known Implementing Classes:
    ClientValidatorImpl

      public interface ClientValidatorBehavior
      extends javax.faces.component.behavior.ClientBehavior

  Interface for JSF Behavior that creates scripts for client-side validation

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BEHAVIOR_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAjaxScript(javax.faces.component.behavior.ClientBehaviorContext context)` Get JavaScript code for AJAX request.
    `org.richfaces.validator.ConverterDescriptor` | `getConverter(javax.faces.component.behavior.ClientBehaviorContext context)` Look up for converter associated with target UIInput
    `Class<?>[]` | `getGroups()` Returns array of classes that represents JSR-303 validation groups.
    `String` | `getOninvalid()`
    `String` | `getOnvalid()`
    `Collection<org.richfaces.validator.ValidatorDescriptor>` | `getValidators(javax.faces.component.behavior.ClientBehaviorContext context)`
    `boolean` | `isDisabled()`
    `boolean` | `isImmediate()`
    `boolean` | `isImmediateSet()`
    `void` | `setGroups(Class<?>... groups)`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehavior

      `decode, getHints, getScript`

    - ### Methods inherited from interface javax.faces.component.behavior.Behavior

      `broadcast`

- - ### Field Detail

    - #### BEHAVIOR_TYPE

          static final String BEHAVIOR_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAjaxScript

          String getAjaxScript(javax.faces.component.behavior.ClientBehaviorContext context)

      Get JavaScript code for AJAX request.

      Parameters:
        `context` -

    - #### getConverter

          org.richfaces.validator.ConverterDescriptor getConverter(javax.faces.component.behavior.ClientBehaviorContext context)
                                                                   throws ConverterNotFoundException

      Look up for converter associated with target UIInput

      Parameters:
        `context` -
      Returns:
        `Converter` instance or null if conversion not required.
      Throws:
        `ConverterNotFoundException`

    - #### getValidators

          Collection<org.richfaces.validator.ValidatorDescriptor> getValidators(javax.faces.component.behavior.ClientBehaviorContext context)

      Parameters:
        `context` -

    - #### getGroups

          Class<?>[] getGroups()

      Returns array of classes that represents JSR-303 validation groups.

    - #### setGroups

          void setGroups(Class<?>... groups)

    - #### isDisabled

          boolean isDisabled()

    - #### isImmediateSet

          boolean isImmediateSet()

    - #### isImmediate

          boolean isImmediate()

    - #### getOninvalid

          String getOninvalid()

    - #### getOnvalid

          String getOnvalid()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.